> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-bodycamv2/prop-system.md).

# Prop System

***

{% hint style="info" %}
For everything to be done here, the <mark style="background-color:yellow;">**Config.lua**</mark> file must be open, looking at the <mark style="background-color:yellow;">**Config.Props**</mark> table.
{% endhint %}

## Activating the prop system

* <mark style="background-color:orange;">**\["attachBodycam"]**</mark> change this value to <mark style="background-color:orange;">**true**</mark>. In this way, when the bodycam is used, the camera you set will appear on the person's body.

{% hint style="warning" %}
They have separate places in the clothing system for the **Male** character and the **Female** character.
{% endhint %}

* **Scripted id of the items in the outfit menu:**
  * 0: Face
  * 1: Mask
  * 2: Hair
  * 3: Torso
  * 4: Leg
  * 5: Parachute / bag
  * 6: Shoes
  * 7: Accessory
  * 8: Undershirt
  * 9: Kevlar
  * 10: Badge
  * 11: Torso
* **\["drawableId"]** is the id of the clothes.
* **\["textureId"]** is the different type & texture id of the selected outfit


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-bodycamv2/prop-system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
